using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("系列")]
    public class T_PR_TUNGPRE_OPERATION_RECORD_SERI : MesEntityBase
    {
        [Description("钨预选运行记录")]
        [DataFieldForeignKey("Nav_Record", "Nav_Seris")]
        public Guid OPERATION_RECORD_ID { get; set; }

        [Description("钨预选运行记录")]
        public virtual T_PR_TUNGPRE_OPERATION_RECORD Nav_Record { get; set; }
        [Description("系列")]
        public string NO { get; set; }
        [Description("时间")]
        public string TIME { get; set; }
        [Description("浓度")]
        public string STRONG { get; set; }
        [Description("细度")]
        public string DETAIL { get; set; }
        [Description("泡沫中+300目粒级含量")]
        public string RATE { get; set; }
        [Description("纯碱标定开启度")]
        public string SODA_START { get; set; }
        [Description("纯碱标定流量")]
        public string SODA_TRAFFIC { get; set; }
        [Description("抑制剂标定开启度")]
        public string INHI_START { get; set; }
        [Description("抑制剂标定流量")]
        public string INHI_TRAFFIC { get; set; }
        [Description("皂化标定开启度")]
        public string SAPO_START { get; set; }
        [Description("皂化标定粗选流量")]
        public string SAPO_TRAFFIC { get; set; }
        [Description("皂化标定扫选1流量")]
        public string SAPO_SCAVENG { get; set; }
        [Description("泡沫层值粗选")]
        public string BUBBLE_ROUGH { get; set; }
        [Description("泡沫层值扫选1")]
        public string BUBBLE_SCAVENG1 { get; set; }
        [Description("泡沫层值扫选2")]
        public string BUBBLE_SCAVENG2 { get; set; }
        [Description("泵频率粗选")]
        public string PUMP_ROUGH { get; set; }
        [Description("泵频率扫选1")]
        public string PUMP_SCAVENG1 { get; set; }
        [Description("泵频率扫选2")]
        public string PUMP_SCAVENG2 { get; set; }
        [Description("气压粗选")]
        public string AIRPRESS_ROUGH { get; set; }
        [Description("气压扫选1")]
        public string AIRPRESS_SCAVENG1 { get; set; }
        [Description("气压扫选2")]
        public string AIRPRESS_SCAVENG2 { get; set; }
    }
}
